<?xml version="1.0" encoding="UTF-8"?>
<plugin id="de.grogra.fastrakreader" 
version="0.8"
	xmlns="http://grogra.de/registry">
	<library file="FastrakReader.jar" prefixes="{de.grogra.fastrakReader}" />
	<import plugin="de.grogra.pf" />
	<import plugin="de.grogra.xl.compiler" />
	<import plugin="de.grogra.pf.ui.swing" />
	<import plugin="de.grogra.rgg" />
	<registry>
		<ref name="io">
			<ref name="filetypes">
				<ext name="fastrak/xml" extensions="{.xml}"
					mimeType="fastrak/xml" />
			</ref>
			<ref name="mimetypes">
				<mimetype name="fastrak/xml" editable="true">
					<filter input="reader"
						outputClass="de.grogra.pf.io.ProjectLoader"
						create="de.grogra.fastrakReader.FastrakSourceFile$Loader">
						<link name="layout" source="/ui/layouts/3dmodelling" />
					</filter>
					<filter
						input="reader"
						outputClass="de.grogra.graph.impl.Node"
						create="de.grogra.fastrakReader.GraphInput" />
					<var name="context" />
				</mimetype>


			</ref>

		</ref>
		<directory name="fastrak" optionCategory="true">
			<command name="reader">
				<option name="diameter" type="java.lang.String" value="diameter" />
				<option name="leafKey" type="java.lang.String" value="L" />

				<option name="diameterTaxonmy" type="java.lang.Boolean"
					value="True" />

			</command>
		</directory>
	</registry>
</plugin>
